%define git     fee1ebe
%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           yajl
Version:        2.1.0
Release:        %mkrel 9
Summary:        Yet Another JSON Library
License:        ISC License
Group:          System/Libraries
Url:            https://lloyd.github.io/yajl/
Source0:        https://github.com/lloyd/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         CVE-2017-16516.patch
Patch1:         yajl-fix-CVE-2022-24795.patch
Patch2:         CVE-2023-33460.patch
# fedora patches
Patch11:        0001-pkg-config-file-should-be-in-lib-dir-not-shared-data.patch
Patch14:        0004-drop-bogus-_s-suffix-from-yajl-dynamic-library.patch
#
Patch20:        yajl-2.1.0-cmake.patch
BuildRequires:  doxygen
BuildRequires:  cmake

%description
Yet Another JSON Library. YAJL is a small event-driven (SAX-style) JSON parser
written in ANSI C, and a small validating JSON generator. YAJL is released
under the ISC license.

%package -n	%{libname}
Summary:        Yet Another JSON Library
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n	%{libname}
Yet Another JSON Library. YAJL is a small event-driven (SAX-style) JSON parser
written in ANSI C, and a small validating JSON generator. YAJL is released
under the ISC license.

%package -n	%{devname}
Summary:        Development files for using %{name}
Group:          Development/C

Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} >= %{version}-%{release}

%description -n	%{devname}
Development files for using %{name}.

%prep
%autosetup -p1

%build
# use cmake directly since the upstream configure script
# doesn't work properly on 64bit systems
# and it would only call cmake itself
%cmake

%cmake_build

%install
%cmake_install

# No static libraries
rm -f %{buildroot}%{_libdir}/libyajl_s.a

%files
%doc ChangeLog README TODO
%{_bindir}/json_reformat
%{_bindir}/json_verify

%files -n %{libname}
%license COPYING
%doc ChangeLog README TODO
%{_libdir}/libyajl.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libyajl.so
%{_includedir}/yajl/
%{_libdir}/pkgconfig/yajl.pc


%changelog
* Wed Jun 25 2025 danf <danf> 2.1.0-9.mga10
+ Revision: 2194898
- Fix building with cmake4

* Thu Mar 14 2024 daviddavid <daviddavid> 2.1.0-8.mga10
+ Revision: 2049876
- pkg-config file should be in lib dir not shared data
- link json_verify and json_reformat tools dynamically
- remove unwanted static libraries
- use a named-versioned git tarball

* Thu Mar 14 2024 ns80 <ns80> 2.1.0-7.mga10
+ Revision: 2049843
- add patches from Debian for CVE-2017-16516 and CVE-2023-33460 (mga#32072)

* Wed Jul 06 2022 papoteur <papoteur> 2.1.0-6.mga9
+ Revision: 1867836
- really apply previous patch

* Wed Jul 06 2022 papoteur <papoteur> 2.1.0-5.mga9
+ Revision: 1867831
- fix-CVE-2022-24795

* Fri Mar 18 2022 umeabot <umeabot> 2.1.0-4.mga9
+ Revision: 1798451
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 daviddavid <daviddavid> 2.1.0-3.mga8
+ Revision: 1519393
- use new make macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.mga7-current
+ Revision: 1302013
- Mageia 7 Mass Rebuild

* Sun Jan 01 2017 luigiwalser <luigiwalser> 2.1.0-1.mga6
+ Revision: 1079364
- 2.1.0

* Sat Feb 06 2016 umeabot <umeabot> 2.0.4-6.mga6
+ Revision: 940043
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.4-5.mga5
+ Revision: 750891
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.4-4.mga5
+ Revision: 690819
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.4-3.mga4
+ Revision: 520841
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.4-2.mga3
+ Revision: 387542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 11 2012 obgr_seneca <obgr_seneca> 2.0.4-1.mga2
+ Revision: 194930
- new version 2.0.4

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 2.0.2-1.mga2
+ Revision: 171874
-new version 2.0.2

* Sun Sep 11 2011 obgr_seneca <obgr_seneca> 2.0.1-2.mga2
+ Revision: 142467
- fixed Provides of devel package

* Sun Sep 11 2011 obgr_seneca <obgr_seneca> 2.0.1-1.mga2
+ Revision: 142458
- add cmake to BuildRequires
- changed release to 1, this is a stable release upstream
- imported package yajl

